Package com.databricks.jdbc.driver

## Enum DatabricksJdbcConstants.FakeServiceType

- java.lang.Object
- - java.lang.Enum<DatabricksJdbcConstants.FakeServiceType>
  - - com.databricks.jdbc.driver.DatabricksJdbcConstants.FakeServiceType

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabricksJdbcConstants.FakeServiceType>`

Enclosing class:
  DatabricksJdbcConstants

    public static enum DatabricksJdbcConstants.FakeServiceType
    extends Enum<DatabricksJdbcConstants.FakeServiceType>

Enum for the services that can be replaced with a fake service in integration tests.

### Enum Constant Summary

Enum Constants
`CLOUD_FETCH`
`CLOUD_FETCH_SQL_GATEWAY`
`CLOUD_FETCH_UC_VOLUME`
`SQL_EXEC`
`SQL_GATEWAY`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabricksJdbcConstants.FakeServiceType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabricksJdbcConstants.FakeServiceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SQL_EXEC

    public static final DatabricksJdbcConstants.FakeServiceType SQL_EXEC

#### CLOUD_FETCH

    public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH

#### SQL_GATEWAY

    public static final DatabricksJdbcConstants.FakeServiceType SQL_GATEWAY

#### CLOUD_FETCH_SQL_GATEWAY

    public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH_SQL_GATEWAY

#### CLOUD_FETCH_UC_VOLUME

    public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH_UC_VOLUME

### Method Detail

#### values

    public static DatabricksJdbcConstants.FakeServiceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabricksJdbcConstants.FakeServiceType c : DatabricksJdbcConstants.FakeServiceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabricksJdbcConstants.FakeServiceType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null